loci.formats.meta

## Class ModuloAnnotation

- java.lang.Object
- - ome.xml.model.AbstractOMEModelObject
  - - ome.xml.model.Annotation
    - - ome.xml.model.TextAnnotation
      - - ome.xml.model.XMLAnnotation
        - - loci.formats.meta.ModuloAnnotation

- All Implemented Interfaces:
    ome.xml.model.OMEModelObject

      public class ModuloAnnotation
      extends ome.xml.model.XMLAnnotation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Modulo` | `modulo`
    `static java.lang.String` | `MODULO_NS`

    - ### Fields inherited from class ome.xml.model.XMLAnnotation

      `NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuloAnnotation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.w3c.dom.Element` | `makeModuloElement(org.w3c.dom.Document document)` Construct a DOM element for this annotation using the given Document as the root.
    `void` | `setModulo(OMEXMLMetadata meta, Modulo m)` Set the value of this annotation using the given Modulo object

    - ### Methods inherited from class ome.xml.model.XMLAnnotation

      `asXMLElement, asXMLElement, getStructuredAnnotations, getValue, link, setStructuredAnnotations, setValue, update`

    - ### Methods inherited from class ome.xml.model.Annotation

      `copyLinkedAnnotationList, copyLinkedChannelList, copyLinkedDatasetList, copyLinkedDetectorList, copyLinkedDichroicList, copyLinkedExperimenterGroupList, copyLinkedExperimenterList, copyLinkedFilterList, copyLinkedFolderList, copyLinkedImageList, copyLinkedInstrumentList, copyLinkedLightPathList, copyLinkedLightSourceList, copyLinkedObjectiveList, copyLinkedPlaneList, copyLinkedPlateAcquisitionList, copyLinkedPlateList, copyLinkedProjectList, copyLinkedReagentList, copyLinkedROIList, copyLinkedScreenList, copyLinkedShapeList, copyLinkedWellList, getAnnotator, getDescription, getID, getLinkedAnnotation, getLinkedChannel, getLinkedDataset, getLinkedDetector, getLinkedDichroic, getLinkedExperimenter, getLinkedExperimenterGroup, getLinkedFilter, getLinkedFolder, getLinkedImage, getLinkedInstrument, getLinkedLightPath, getLinkedLightSource, getLinkedObjective, getLinkedPlane, getLinkedPlate, getLinkedPlateAcquisition, getLinkedProject, getLinkedReagent, getLinkedROI, getLinkedScreen, getLinkedShape, getLinkedWell, getNamespace, linkAnnotation, linkChannel, linkDataset, linkDetector, linkDichroic, linkExperimenter, linkExperimenterGroup, linkFilter, linkFolder, linkImage, linkInstrument, linkLightPath, linkLightSource, linkObjective, linkPlane, linkPlate, linkPlateAcquisition, linkProject, linkReagent, linkROI, linkScreen, linkShape, linkWell, setAnnotator, setDescription, setID, setLinkedAnnotation, setLinkedChannel, setLinkedDataset, setLinkedDetector, setLinkedDichroic, setLinkedExperimenter, setLinkedExperimenterGroup, setLinkedFilter, setLinkedFolder, setLinkedImage, setLinkedInstrument, setLinkedLightPath, setLinkedLightSource, setLinkedObjective, setLinkedPlane, setLinkedPlate, setLinkedPlateAcquisition, setLinkedProject, setLinkedReagent, setLinkedROI, setLinkedScreen, setLinkedShape, setLinkedWell, setNamespace, sizeOfLinkedAnnotationList, sizeOfLinkedChannelList, sizeOfLinkedDatasetList, sizeOfLinkedDetectorList, sizeOfLinkedDichroicList, sizeOfLinkedExperimenterGroupList, sizeOfLinkedExperimenterList, sizeOfLinkedFilterList, sizeOfLinkedFolderList, sizeOfLinkedImageList, sizeOfLinkedInstrumentList, sizeOfLinkedLightPathList, sizeOfLinkedLightSourceList, sizeOfLinkedObjectiveList, sizeOfLinkedPlaneList, sizeOfLinkedPlateAcquisitionList, sizeOfLinkedPlateList, sizeOfLinkedProjectList, sizeOfLinkedReagentList, sizeOfLinkedROIList, sizeOfLinkedScreenList, sizeOfLinkedShapeList, sizeOfLinkedWellList, unlinkAnnotation, unlinkChannel, unlinkDataset, unlinkDetector, unlinkDichroic, unlinkExperimenter, unlinkExperimenterGroup, unlinkFilter, unlinkFolder, unlinkImage, unlinkInstrument, unlinkLightPath, unlinkLightSource, unlinkObjective, unlinkPlane, unlinkPlate, unlinkPlateAcquisition, unlinkProject, unlinkReagent, unlinkROI, unlinkScreen, unlinkShape, unlinkWell`

    - ### Methods inherited from class ome.xml.model.AbstractOMEModelObject

      `getChildrenByTagName, stripNamespacePrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULO_NS

          public static final java.lang.String MODULO_NS

    - #### modulo

          private Modulo modulo

  - ### Constructor Detail

    - #### ModuloAnnotation

          public ModuloAnnotation()

  - ### Method Detail

    - #### setModulo

          public void setModulo(OMEXMLMetadata meta,
                                Modulo m)

      Set the value of this annotation using the given Modulo object
      Parameters:
        `meta` - the associated OMEXMLMetadata
        `m` - the Modulo object from which to retrieve dimension information

    - #### makeModuloElement

          protected org.w3c.dom.Element makeModuloElement(org.w3c.dom.Document document)

      Construct a DOM element for this annotation using the given Document as the root.
      Parameters:
        `document` - the root document node

Copyright © 2026 Open Microscopy Environment